> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Get Operator by Id and Chain

GET https://api.fiftytwo.com/masterdata/operators/v1/chain/{chainId}/{operatorId}



Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/operators/get-operator-by-id-and-chain

## Request

### Path parameters

- `operatorId` (string, required) — The Id of the Operator to retrieve
- `chainId` (integer, required) — The Id of the Chain

## Response

### 200

Success

- `operators` (list of OperatorsOperatorsItems, required)

## Errors

### 400 Bad Request Error

Bad Request

- `string`

## Types

### OperatorsOperatorsItems

- `operatorId` (integer, required) — The unique number that will identify the operator. The number is a key field that you can't edit later.
- `name` (string, optional) — The name of the operator.
- `category` (string, optional) — The category determines the operator's user rights and consequently which features they're able to use. Categories are defined in cooperation with Fiftywo consultants.
- `profile` (integer, optional) — This profile defines starting cash balance etc. for the operator linked to the profile. Profiles are defined in cooperation with Fiftywo consultants.
- `stores` (list of integer, optional) — List of store IDs associated with the operator.

## Examples

**Response**

```json
{
  "operators": [
    {
      "operatorId": 12345,
      "name": "Alice Johnson",
      "category": "A",
      "profile": 1,
      "stores": [
        1111,
        2111,
        3111,
        4111
      ]
    },
    {
      "operatorId": 67890,
      "name": "Bob Smith",
      "category": "B",
      "profile": 2,
      "stores": [
        7111,
        2111,
        6111,
        4111
      ]
    }
  ]
}
```

**SDK Code**

```python Operators_getOperatorByIdAndChain_example
import requests

url = "https://api.fiftytwo.com/masterdata/operators/v1/chain/1/operatorId"

response = requests.get(url)

print(response.json())
```

```javascript Operators_getOperatorByIdAndChain_example
const url = 'https://api.fiftytwo.com/masterdata/operators/v1/chain/1/operatorId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Operators_getOperatorByIdAndChain_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/operators/v1/chain/1/operatorId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Operators_getOperatorByIdAndChain_example
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/operators/v1/chain/1/operatorId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Operators_getOperatorByIdAndChain_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.fiftytwo.com/masterdata/operators/v1/chain/1/operatorId")
  .asString();
```

```php Operators_getOperatorByIdAndChain_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.fiftytwo.com/masterdata/operators/v1/chain/1/operatorId');

echo $response->getBody();
```

```csharp Operators_getOperatorByIdAndChain_example
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/operators/v1/chain/1/operatorId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Operators_getOperatorByIdAndChain_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/operators/v1/chain/1/operatorId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```